package com.ruoyi.web.modules.industryservice.service;

import java.util.List;
import com.ruoyi.web.modules.industryservice.domain.BizPasture;
import com.ruoyi.web.modules.industryservice.domain.vo.YakAssetSyncResultVo;

/**
 * 牧场管理服务
 */
public interface IBizPastureService
{
    BizPasture selectBizPastureById(Long id);

    List<BizPasture> selectBizPastureList(BizPasture query);

    YakAssetSyncResultVo syncFromThirdParty();
}
